From ead88e4e0766eb0d8c4e74d4e2cd9b00bf127ced Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Fri, 7 Jun 2019 12:30:37 -0400
Subject: [PATCH] tableam: Fix index_build_range_scan parameter name.

All of the other code thinks that the 8th parameter is the number of
blocks, but this declaration thinks that it's the ending block number.
Repair this inconsistency.
---
 src/include/access/tableam.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/access/tableam.h b/src/include/access/tableam.h
index 0b6ac15d31..2d69b20c86 100644
--- a/src/include/access/tableam.h
+++ b/src/include/access/tableam.h
@@ -543,7 +543,7 @@ typedef struct TableAmRoutine
 										   bool anyvisible,
 										   bool progress,
 										   BlockNumber start_blockno,
-										   BlockNumber end_blockno,
+										   BlockNumber numblocks,
 										   IndexBuildCallback callback,
 										   void *callback_state,
 										   TableScanDesc scan);
-- 
2.17.2 (Apple Git-113)

